import axios from 'axios';
// ----------------------列表-----------------------
const pageBillUrl = '/lakeLibrary/lakeLibrarySpecialBill/page';
// 添加
const saveLakeBill = function (data) {
    return axios.post("/lakeLibrary/lakeLibrarySpecialBill/importBatch",data)
}

// 删除
const removeLakeBill = function (id) {
    return axios.delete(`/lakeLibrary/lakeLibrarySpecialBill/${id}`,)
}
// 批量删除
const removeBatchLakeBill = function (ids) {
    return axios.delete("/lakeLibrary/lakeLibrarySpecialBill/batch",{data:ids})
}

// 修改
const updateLakeBill = function (data) {
    return axios.put("/lakeLibrary/lakeLibrarySpecialBill",data)
}
// 审核
const verifyLakeBill = function (data) {
    return axios.put("/lakeLibrary/lakeLibrarySpecialBill/verify",data);
}
const getLakeBill = function (id) {
    return axios.get(`/lakeLibrary/lakeLibrarySpecialBill/${id}`)
}
// -------------------------数据---------------------
const pageLakeUrl = '/lakeLibrary/lakeLibrarySpecial/page';
// 添加
const saveLake = function (data) {
    return axios.post("/lakeLibrary/lakeLibrarySpecial",data)
}

// 删除
const removeLake = function (id) {
    return axios.delete(`/lakeLibrary/lakeLibrarySpecial/${id}`,)
}
// 批量删除
const removeBatchLake = function (ids) {
    return axios.delete("/lakeLibrary/lakeLibrarySpecial/batch",{data:ids})
}

// 修改
const updateLake = function (data) {
        return axios.put("/lakeLibrary/lakeLibrarySpecial",data)
}

// -------------------------统计---------------------
const avgUrl = '/lakeLibrary/lakeLibrarySpecial/specialExcel';
const getHistoryyears = function () {
    return axios.get("/lakeLibrary/lakeLibrarySpecial/history-year")
}
const getColumnOptions = function(column){
    return axios.get("/lakeLibrary/lakeLibrarySpecial/options",{params:{column}})
}

export {
    pageBillUrl,
    saveLakeBill,
    removeLakeBill,
    updateLakeBill,
    removeBatchLakeBill,
    verifyLakeBill,
    getLakeBill,
    pageLakeUrl,
    saveLake,
    removeLake,
    updateLake,
    removeBatchLake,
    avgUrl,
    getHistoryyears,
    getColumnOptions,


}
